package com.ssj.service.conch.teacher.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/** 
 * @author  ZhangCaibao 
 * @version 2018年5月17日 上午9:46:14 
 * 类说明 
 */
public class SaveNoWorkReq extends BaseRequest {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "vipId", value = "作业吧学员卡id", required = true)
    private String  vipId;
    
    @ApiModelProperty(name = "libId", value = "图书馆Id", required = true)
    private String  libId;
    
    @ApiModelProperty(name = "courseId", value = "课程ID", required = true)
    private String  courseId;
    @ApiModelProperty(name = "studentId", value = "学生ID(libvip.userId)", required = false)
    private String  studentId;
    @ApiModelProperty(name = "courseHour", value = "时段", required = true)
    private String  courseHour;
    @ApiModelProperty(name = "courseName", value = "课程名称", required = true)
    private String  courseName;
    @ApiModelProperty(name = "num", value = "课程排序", required = true)
    private Integer num;
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public String getCourseId() {
		return courseId;
	}
	public void setCourseId(String courseId) {
		this.courseId = courseId;
	}
	public String getStudentId() {
		return studentId;
	}
	public void setStudentId(String studentId) {
		this.studentId = studentId;
	}
	public String getCourseHour() {
		return courseHour;
	}
	public void setCourseHour(String courseHour) {
		this.courseHour = courseHour;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
    
    
    
}
